
Application: gvSIG desktop - gvSIG bugs #785
añadir a los menus las operaciones de edicion que solo tienen atajos de teclado.
06/19/2012 12:48 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category:
Target version: 2.0.0-rc2
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Hay varias opciones de edicion que solo estan en atajos de teclado no estando disponibles a traves de los menus ni de la barra de
botones. 
Añadir a los menus estas operaciones. Las operaciones que he detectado son:

- F3 - Refent (?)
- F7 - Grid
- F8 - Orto (?)
- F9 - ForceCursor

(Ver metodo initialize de CADExtension)

History
#1 - 06/19/2012 12:49 PM - Joaquín  del Cerro Murciano
- Description updated

#2 - 06/19/2012 12:51 PM - Joaquín  del Cerro Murciano
- Description updated

#3 - 08/07/2012 02:18 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#4 - 08/09/2012 09:57 AM - Joaquín  del Cerro Murciano

Holas, 
he estado repasando las notas que tenia sobre este ticket de algunas conversaciones con Manuel. Dejo aqui las conclusiones mas relevantes.

La interpretacion de las opciones seria:

    -  F3 - Refent, activa o desactiva el snapping durante edicion.

    -  F7 - Grid, presenta o oculta el grid durante edicion.

    -  F9 - ForceCursor, activa o desactiva el forzar que el cursor se mueva por el grid.

05/17/2024 1/5



    -  F8 - Orto, al parecer esta opcion no esta implementada y no se si llego a estarlo en alguna version. Hace referencia a la opcion de alineamiento
del cursor "ORTO" de autocad.

Al final barajamos dos sitios para estas opciones en los menus y nombres de estas opciones.  Por un lado teniamos:

    -  Edit/Editing setup" 
    -  Edit/Toggle snapping F3
    -  Edit/Toggle grid F7
    -  Edit/Force cursor to grid F8

Y por el otro:

    -  Edit/Editing setup" 
    -  Edit/Toggle snapping F3
    -  Show/Grid/Toggle display grid - F7
    -  Show/Grid/Toggle snap to grid - F9

Esta ultima inspirada en donde tiene el Draw de OpenOffice opciones similares.

Por otro lado al final quedamos que en lugar de usar dos opciones en los menus del estilo de:

    -  Edit/Enable snapping
    -  Edit/Disable snapping
    -  Show/Grid/Display grid - F7
    -  Show/Grid/Hide grid - F7
    -  Show/Grid/Enable snap to grid - F9
    -  Show/Grid/Disable snap to grid - F9

Dejabamos una sola con "Toggle" de forma similar a como lo hacen otras aplicaciones.

Respecto a la opcion "ORTO - F8", la eliminariamos.

Por ultimo, pensamos que en los menus faltaba la opcion de mostrar las propiedades de edicion, asique estaria bien añadirla tambien.

Yo creo que me decantaria por la segnda opcion, la que deja un par de entradas en el menu "Show".

Respecto a las teclas aceleradoras ya no las registrariamos tal como se esta haciendo ahora, y nos limitariamos a poner en el config.xml, en la accion
correspondiente el atributo "accelerator" con el valor que toque. Por ejemplo:

<action 
name= "show-grid-toggle-display-grid" 
label="_Toggle_display_grid" 
tooltip="_Toggle_the_grid_on_the_view" 
action-command="show-grid-toggle-display-grid" 
icon="show-grid-toggle-display-grid" 
position="000400300100" 
accelerator="F7" 
/>

Para saber el valor del atributo posicion puedes usar la herramenta

Herramientas -> Development -> Show menu information
que muestra todas las opciones de menu, y su posicion en los menus. Por ejemplo, para las opciones que nos ocupan podrian ser:

    -  00020-800-000-0: Edit/Toggle snapping F3
    -  00020-890-000-0: Edit/Editing setup" 
    -  00040-030-010-0: Show/Grid/Toggle display grid - F7
    -  00040-030-020-0: Show/Grid/Toggle snap to grid - F9

Un saludo
Joaquin

#5 - 08/13/2012 11:59 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

gvsig-desktop:r38707

Added individual menu items for 3 toggle options. Removed keystroke listeners and 'Orto' option. Editing options menu item was already there.

Creo que hubo una confusión. Si añadimos 3 extensiones con un solo menú cada una, no necesitan ser extensiones especiales (con visibilidad
asociada a action command). De todas formas, lo he hecho así. Si se quiere tener el mismo mensaje "Toggle..." se puede simplemente cambiar el
config.xml

El menú de mostrar opciones de edición ya existía.

#6 - 08/13/2012 01:29 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to In progress

Uf, no has debido entender lo que puese en el comentario anterior. Las opciones:

    -   Edit/Toggle snapping F3
    -   Show/Grid/Toggle display grid - F7
    -   Show/Grid/Toggle snap to grid - F9

Son sola tres opciones en los menus, no seis. Al introducir lo de "Toggle" sobra lo de enable/disable. Es mas simple.

Bueno, ya lo ves de corregir para proximos builds.

#7 - 08/20/2012 10:57 AM - Juan Lucas Domínguez
- File toggle.jpg added
- Status changed from In progress to Fixed

gvsig-desktop:r38764

Fixed. Now using single menu/action command to toggle grid and snapping options.

I think a check mark would be better, because currently the GUI does not tell whether the option is enabled or disabled. An alternative can be seen in
image "toggle.jpg".
#8 - 08/30/2012 02:15 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#9 - 10/10/2012 02:14 PM - María Maluenda
- Status changed from Fixed to Under review

Need instructions in order to check the bugfix. In menus appears the options that you say but I don't know if it works.

#10 - 10/10/2012 02:58 PM - Juan Lucas Domínguez
- Status changed from Under review to New
- Target version changed from 2.0.0-devel-2052 to 2.0.0-beta1

#11 - 10/10/2012 03:03 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Hello, Yes the GUI is not very good in this case. These are the recommended testing steps:

- Create a view, add a SHP file (for example, of type line or polygon), start editing
- In the TOC, click with right button to open context menu of the layer
- go to the editing properties > snapping and make sure that the option "Closest point" is selected, close that dialog
- select the tool to add a new geometry and check if the cursor behaves as if snapping was active
- Click on the menu "Edit > Enable/disable snapping" 
- Check that the behavior has changed: if there was snapping before, now there will be no snapping and viceversa
- Every time you click on "Edit > Enable/disable snapping", behavior must change

#12 - 11/13/2012 12:48 PM - Abenchara Socorro
- Status changed from Fixed to New

I follow the steps:
    -  Create a view, add a SHP file (for example, of type line or polygon), start editing
    -  In the TOC, click with right button to open context menu of the layer
    -  go to the editing properties > snapping and make sure that the option "Closest point" is selected, close that dialog

Snapping for nearest point is active by default

    -  select the tool to add a new geometry and check if the cursor behaves as if snapping was active
This doesn't happen

    -  Click on the menu "Edit > Enable/disable snapping" 
No changes in cursor's behaviour

    -  Check that the behavior has changed: if there was snapping before, now there will be no snapping and viceversa
    -  Every time you click on "Edit > Enable/disable snapping", behavior must change

It seems not to be working well, but if I start the polyline or polygon tool, vetices are drawn in points that belong to the grid. There is no

change when I type F3, F7 nor F9

Edit/Toggle snapping F3
Show/Grid/Toggle display grid - F7
Show/Grid/Toggle snap to grid - F9
#13 - 11/13/2012 12:53 PM - Abenchara Socorro

If I don't see the grid, seems that it's not working, but if I make a zoom (then I see the grid) it works but doesn't toggle...

#14 - 12/07/2012 01:43 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-beta1 to 2.0.0-rc2

#15 - 12/12/2012 05:14 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Shortcuts are now working, but one of the toggle options works, another one doesnt (See #1476)

#16 - 02/26/2014 12:35 PM - Álvaro Anguix
- Status changed from Fixed to Closed
